/**
 * @param {Effects} effects
 * @param {State} ok
 * @param {State} nok
 * @param {TokenType} attributesType
 * @param {TokenType} attributesMarkerType
 * @param {TokenType} attributeType
 * @param {TokenType} attributeIdType
 * @param {TokenType} attributeClassType
 * @param {TokenType} attributeNameType
 * @param {TokenType} attributeInitializerType
 * @param {TokenType} attributeValueLiteralType
 * @param {TokenType} attributeValueType
 * @param {TokenType} attributeValueMarker
 * @param {TokenType} attributeValueData
 * @param {boolean | undefined} [disallowEol=false]
 */
export function factoryAttributes(
  effects: Effects,
  ok: State,
  nok: State,
  attributesType: TokenType,
  attributesMarkerType: TokenType,
  attributeType: TokenType,
  attributeIdType: TokenType,
  attributeClassType: TokenType,
  attributeNameType: TokenType,
  attributeInitializerType: TokenType,
  attributeValueLiteralType: TokenType,
  attributeValueType: TokenType,
  attributeValueMarker: TokenType,
  attributeValueData: TokenType,
  disallowEol?: boolean | undefined
): (
  code: import('micromark-util-types').Code
) => import('micromark-util-types').State | undefined
export type Code = import('micromark-util-types').Code
export type Effects = import('micromark-util-types').Effects
export type State = import('micromark-util-types').State
export type TokenType = import('micromark-util-types').TokenType
